package Bundle::AugBundle;
use strict;
use vars qw($VERSION);
$VERSION = '0.01';

1;

__END__

=head1 NAME

Bundle::AugBundle - All of the dependencies for the Athena User's Guide

=head1 SYNOPSIS

  perl -MCPAN -e 'install Bundle::AugBundle'

or, as one way of handling problems,

  perl -MCPAN -e 'force install Bundle::AugBundle'

Answer yes to any questions posed regarding further pre-requisites for
any package.

=head1 CONTENTS

Template

Image::Size

Syntax::Highlight::Perl

=head1 DESCRIPTION

This file provides a convenient way of using perl CPAN module to meet
all of the prerequisites for building the Athena User's Guide.

Please note that these are not requirements for B<using> the User's
Guide once it is built.  That is, if you make a package of the html,
PDF, and/or pod forms of the document, the build pre-requisits are not
pre-requisites of the "compiled" package.

The procedure I describe here presumes that you have internet access,
that you can become root on your machine, and that you have already
configured CPAN to to install new modules on your computer.  If you
cannot meet those requirements, you will have to install all of these
modules in some other way.  Some options are described below.

To install the prerequisites using this file:

=over 4

=item 1.

Become root.

=item 2.

Fire up CPAN with this command:

  perl -MCPAN -e shell

=item 3.

Issue this command at the C<cpanE<gt>> prompt:

  install Bundle::AugBundle

=item 4.

Be patient, make yourself comfortable, and answer "yes" everytime
you're asked a yes/no question.

=back

If all goes well, all of the prerequisites will be installed.  If you
cannot use this method for some reason, here are some options:

=over 4

=item *

Download each module by hand and install using the standard C<perl
Makefile.PL; make; make install> incantation.

=item *

Some of these modules might be available as packages for your OS.  For
instance, several of them exist as Debian packages.

=item *

You can actually configure and use the CPAN module as a normal user.
You don't have to be root.  In that case, you will need to copy this
file into the C<~/.cpan/Bundle> after you have configured CPAN for use
as a normal user.

=back

See http://perldoc.perl.org/CPAN.html#Bundles for more details.

=head1 AUTHOR

Bruce Ravel <bravel AT bnl DOT gov>

=head1 LICENCE AND COPYRIGHT

Copyright (c) 2006-2007 Bruce Ravel (bravel AT bnl DOT gov). All rights reserved.

This module is free software; you can redistribute it and/or
modify it under the same terms as Perl itself. See L<perlartistic>.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

=cut
